CMSIS-DSP: Correlation distance

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Correlation distance
Float Distances

## Functions

float16_t | arm_correlation_distance_f16 (float16_t *pA, float16_t *pB, uint32_t blockSize)
| Correlation distance between two vectors. More...
float32_t | arm_correlation_distance_f32 (float32_t *pA, float32_t *pB, uint32_t blockSize)
| Correlation distance between two vectors. More...

## Description

Correlation distance

## Function Documentation

float16_t arm_correlation_distance_f16 | ( | float16_t * | pA,
|  | float16_t * | pB,
|  | uint32_t | blockSize
| ) |  |

The input vectors are modified in place !

Parameters

  [in] | pA | First vector
  [in] | pB | Second vector
  [in] | blockSize | vector length

Returns
  distance

float32_t arm_correlation_distance_f32 | ( | float32_t * | pA,
|  | float32_t * | pB,
|  | uint32_t | blockSize
| ) |  |

The input vectors are modified in place !

Parameters

  [in] | pA | First vector
  [in] | pB | Second vector
  [in] | blockSize | vector length

Returns
  distance